<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'JAppLogo',
});
</script>

<template>
  <svg viewBox="0 0 500 500" version="1.1">
    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
      <rect fill="#FFF" x="0" y="0" width="500" height="500" />
      <rect fill="currentColor" x="125" y="325" width="250" height="5" class="primary" />
      <rect
        x="200"
        y="97"
        width="100"
        height="100"
        display="none"
        fill="currentColor"
        class="primary"
      />
      <svg
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        viewBox="0 0 32 32"
        version="1.1"
        fill="currentColor"
        x="200"
        y="97"
        width="100"
        height="100"
        class="primary"
      >
        <g>
          <path
            style=""
            d="M 16 4 C 9.382813 4 4 9.382813 4 16 C 4 22.617188 9.382813 28 16 28 C 16.9375 28 17.84375 27.882813 18.71875 27.675781 L 17.4375 24.480469 C 16.953125 25.453125 16.4375 26 16 26 C 15.925781 26 15.847656 25.972656 15.769531 25.941406 C 15.742188 25.929688 15.714844 25.921875 15.683594 25.90625 C 15.65625 25.894531 15.632813 25.871094 15.609375 25.859375 C 15.488281 25.777344 15.355469 25.664063 15.203125 25.484375 C 15.109375 25.378906 15.019531 25.253906 14.925781 25.113281 C 14.847656 24.996094 14.769531 24.863281 14.691406 24.722656 C 14.667969 24.679688 14.644531 24.632813 14.621094 24.589844 C 14.46875 24.296875 14.320313 23.957031 14.179688 23.589844 C 14.125 23.449219 14.074219 23.296875 14.023438 23.140625 C 13.921875 22.839844 13.824219 22.519531 13.734375 22.175781 C 13.71875 22.117188 13.703125 22.0625 13.6875 22 L 16.445313 22 L 15.644531 20 L 13.289063 20 C 13.214844 19.503906 13.160156 18.984375 13.113281 18.453125 C 13.09375 18.199219 13.078125 17.941406 13.0625 17.683594 C 13.03125 17.128906 13 16.578125 13 16 C 13 15.464844 13.03125 14.953125 13.058594 14.4375 C 13.078125 14.097656 13.097656 13.761719 13.125 13.4375 C 13.15625 13.113281 13.195313 12.796875 13.234375 12.484375 C 13.257813 12.320313 13.28125 12.160156 13.304688 12 L 18.695313 12 C 18.835938 12.925781 18.945313 13.910156 18.980469 15 L 14 15 L 14.007813 15.015625 L 15.589844 15.488281 L 20.976563 17.105469 C 20.976563 17.070313 20.980469 17.035156 20.984375 17 L 25.949219 17 C 25.898438 17.519531 25.804688 18.023438 25.675781 18.515625 L 27.582031 19.089844 C 27.847656 18.101563 28 17.070313 28 16 C 28 9.382813 22.617188 4 16 4 Z M 16 6 C 16.726563 6 17.675781 7.492188 18.308594 10 L 13.691406 10 C 13.703125 9.960938 13.707031 9.914063 13.71875 9.875 C 13.777344 9.648438 13.847656 9.445313 13.910156 9.230469 C 13.992188 8.972656 14.066406 8.703125 14.152344 8.476563 C 14.324219 8.007813 14.515625 7.59375 14.707031 7.25 C 14.796875 7.09375 14.882813 6.953125 14.96875 6.828125 C 15.046875 6.714844 15.125 6.605469 15.203125 6.515625 C 15.371094 6.316406 15.519531 6.191406 15.644531 6.117188 C 15.664063 6.105469 15.683594 6.09375 15.703125 6.085938 C 15.746094 6.0625 15.785156 6.046875 15.820313 6.03125 C 15.882813 6.015625 15.941406 6 16 6 Z M 12.824219 6.527344 C 12.699219 6.765625 12.585938 7.015625 12.472656 7.273438 C 12.4375 7.359375 12.402344 7.449219 12.371094 7.539063 C 12.324219 7.652344 12.277344 7.761719 12.234375 7.882813 C 12.214844 7.929688 12.203125 7.984375 12.1875 8.03125 C 12.027344 8.480469 11.886719 8.957031 11.761719 9.453125 C 11.722656 9.601563 11.6875 9.75 11.65625 9.902344 C 11.648438 9.933594 11.636719 9.96875 11.628906 10 L 8.015625 10 C 9.222656 8.40625 10.890625 7.179688 12.824219 6.527344 Z M 19.179688 6.527344 C 21.113281 7.179688 22.78125 8.40625 23.984375 10 L 20.371094 10 C 20.074219 8.683594 19.679688 7.492188 19.179688 6.527344 Z M 6.84375 12 L 11.273438 12 C 11.230469 12.324219 11.199219 12.65625 11.164063 12.988281 C 11.113281 13.484375 11.078125 13.984375 11.050781 14.503906 C 11.042969 14.671875 11.023438 14.832031 11.015625 15 L 6.050781 15 C 6.15625 13.941406 6.433594 12.933594 6.84375 12 Z M 20.726563 12 L 25.15625 12 C 25.566406 12.933594 25.84375 13.941406 25.949219 15 L 20.984375 15 C 20.949219 13.980469 20.859375 12.972656 20.726563 12 Z M 6.050781 17 L 11.015625 17 C 11.027344 17.277344 11.050781 17.550781 11.066406 17.828125 C 11.078125 18.042969 11.085938 18.261719 11.105469 18.472656 C 11.144531 18.988281 11.199219 19.5 11.269531 20 L 6.84375 20 C 6.433594 19.066406 6.15625 18.058594 6.050781 17 Z M 17 18 L 21 28 L 22.878906 25.3125 L 26 28 L 28 25.753906 L 24.707031 23.019531 L 27 21 Z M 8.019531 22 L 11.625 22 C 11.640625 22.0625 11.65625 22.121094 11.671875 22.183594 C 11.703125 22.324219 11.738281 22.457031 11.773438 22.59375 C 11.898438 23.085938 12.042969 23.5625 12.199219 24.003906 C 12.210938 24.042969 12.21875 24.085938 12.234375 24.121094 C 12.285156 24.265625 12.34375 24.402344 12.402344 24.542969 C 12.429688 24.613281 12.460938 24.691406 12.488281 24.761719 C 12.585938 24.984375 12.683594 25.195313 12.785156 25.398438 C 12.796875 25.421875 12.808594 25.449219 12.820313 25.472656 C 10.886719 24.824219 9.222656 23.597656 8.019531 22 Z "
          />
        </g>
      </svg>
      <path
        d="M250 445c107.696 0 195 -87.304 195 -195c0 -107.696 -87.304 -195 -195 -195c-107.696 0 -195 87.304 -195 195c0 107.696 87.304 195 195 195zm0 5c-110.457 0 -200 -89.543 -200 -200c0 -110.457 89.543 -200 200 -200c110.457 0 200 89.543 200 200c0 110.457 -89.543 200 -200 200z"
        fill="currentColor"
        fill-rule="nonzero"
        class="secondary"
      />
      <path
        d="M250 435.25c102.31 0 185.25 -82.94 185.25 -185.25c0 -102.31 -82.94 -185.25 -185.25 -185.25c-102.31 0 -185.25 82.94 -185.25 185.25c0 102.31 82.94 185.25 185.25 185.25zm0 4.75c-104.934 0 -190 -85.066 -190 -190c0 -104.934 85.066 -190 190 -190c104.934 0 190 85.066 190 190c0 104.934 -85.066 190 -190 190z"
        fill="currentColor"
        fill-rule="nonzero"
        class="secondary"
      />
      <g transform="translate(100.000000, 215.000000)">
        <rect x="0" y="0" width="300" height="50" />
        <text
          font-family="Roboto Mono"
          font-size="50"
          font-weight="700"
          line-spacing="50"
          fill="currentColor"
          data-text-alignment="C"
          font-style="normal"
          class="primary"
        >
          <tspan x="105.98401641845703" y="43.5">Jira</tspan>
        </text>
      </g>
      <g transform="translate(135.000000, 280.000000)">
        <rect x="0" y="0" width="300" height="30" />
        <text
          font-family="Roboto Mono"
          font-size="30"
          font-weight="300"
          line-spacing="30"
          fill="currentColor"
          data-text-alignment="C"
          font-style="normal"
          class="primary"
        >
          <tspan x="23.977561950683594" y="23">Vue jira clone</tspan>
        </text>
      </g>
    </g>
  </svg>
</template>

<style lang="scss" scoped>
.primary {
  fill: rgb(var(--j-primary-color));
}

.secondary {
  fill: rgba(var(--j-primary-color), 0.6);
}
</style>
